@echo off
echo;
echo;
echo;
echo;
echo;
echo;
echo;
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install
echo Nbristol.
echo;
goto end

:needfile
echo;
echo Couldn't locate pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo Nbristol.
goto end

:execute
Cls
echo.
echo Unpacking the Nbristol.dat file...
echo;
unpack.exe Nbristol.dat
del Nbristol.cam
del *.3do
del *.stp
del *.mip
del *.str
del *.pmp
del *.raw
del *.pcx
del *.txt
del Nbristol.3do
del Nbristol.pck
del sky.3do
del horiz.3do
pkunzip.exe files.zip
pack.exe Nbristol.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.str
del *.mip
del *.trk
del *.scr
del *.pmp
del *.stp
del *.3do
del *.cam
del *.pck
del *.exe
del *.zip
del *.raw
del *.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo;
echo   *****************************************
echo   *        WoO Night Bristol Update       *
echo   *                                       *
echo   *             was created by            *
echo   *                                       *
echo   *              TONY KRIST               *
echo   *           krist@teleport.com          *
echo   *                                       *
echo   *****************************************
echo;
echo;
goto end

:end
del Nbristol.bat